'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (app, options = {}) {
  const templates = options.templates || {};
  const transport = _nodemailer2.default.createTransport(options);
  Object.keys(templates).forEach(k => {
    templates[k].render = (0, _lodash2.default)(templates[k].html, {
      interpolate: /{{([\s\S]+?)}}/g
    });
  });
  app.use(function* mailHandler(next) {
    this.sendMail = function sendMail(to, tplName, context, attachments = null) {
      const tpl = templates[tplName];
      return transport.sendMail({
        from: options.from,
        to: to,
        attachments: attachments,
        subject: tpl.subject,
        html: tpl.render(context)
      });
    };

    yield* next;
  });
};

var _nodemailer = require('nodemailer');

var _nodemailer2 = _interopRequireDefault(_nodemailer);

var _lodash = require('lodash.template');

var _lodash2 = _interopRequireDefault(_lodash);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

module.exports = exports['default'];