'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (sequelize, DataTypes) {
  return sequelize.define('Client', {
    id: {
      type: DataTypes.UUID,
      defaultValue: DataTypes.UUIDV4,
      primaryKey: true,
      comment: 'Client ID'
    },
    secret: {
      type: DataTypes.STRING(100),
      allowNull: false,
      comment: 'Client Secret'
    },
    redirect_uri: {
      type: DataTypes.STRING(255),
      allowNull: false,
      comment: 'Redirect Uri'
    },
    name: {
      type: DataTypes.STRING(100),
      allowNull: false,
      comment: 'Client Name'
    }
  }, {
    tableName: 'client',
    comment: 'Client Table'
  });
};

module.exports = exports['default'];